List Kubernetes clusters

GET/v1/kubernetes_clusters

To list all Kubernetes clusters, perform a GET request to /v1/kubernetes_clusters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

label_selector?string

This parameter will filter results by labels. More details in the Labels section.

location_id?integer

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

Range1 <= value
per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.

Default"id"

Value in

  • "id"
  • "created_at"
  • "updated_at"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/kubernetes_clusters"
[  {    "id": "4zbq2Rdp",    "name": "k8s-cluster",    "status": "pending",    "location_id": 1774,    "location_code": "location3651",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2026-05-28T07:06:41Z",    "updated_at": "2026-05-28T07:06:41Z"  },  {    "id": "MYerYkdO",    "name": "k8s-cluster",    "status": "pending",    "location_id": 1774,    "location_code": "location3651",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "created_at": "2026-05-28T07:06:41Z",    "updated_at": "2026-05-28T07:06:41Z"  }]
{  "message": "Bad request",  "code": "BAD_REQUEST",  "params": [    "page"  ]}